/* Hero section */
.hero-section {
  height: calc(100vh - 60px);
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}
.hero-section .section-wrapper {
  height: calc(100vh - 60px);
  width: 100%;
  display: flex;
  position: absolute;
  justify-content: center;
  align-items: flex-start;
}
.hero-section .hero-img {
  height: calc(100vh - 60px);
  width: 100vw;
  object-fit: cover;
}
.hero-section .hero-content-wrapper {
  width: 100%;
  padding: 3.5rem 2rem 2rem;
}
.hero-section .h1,
.hero-section .h2 {
  position: relative;
  z-index: 10;
  color: white;
  text-transform: uppercase;
  text-align: center;
  font-family: var(--caps-font);
  letter-spacing: 0.15em;
}
.hero-section .h1 {
  font-size: 2.2rem;
}
.hero-section .h2 {
  font-size: 1.1rem;
}

@media screen and (min-width: 680px) {
  .hero-section .section-wrapper {
    align-items: center;
  }
  /* .hero-section .h1 {
    font-size: 2.2rem;
  } */
  .hero-section .h2 {
    font-size: 1.3rem;
  }
}
@media screen and (min-width: 1200px) {
  .hero-section,
  .hero-section .section-wrapper,
  .hero-section .hero-img
   {
    height: 100vh;
  }
}

/* Booking Form */
.booking-form-wrapper {
  background-color: white;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 1rem 2rem;
  max-width: 900px;
  margin: 0 auto;
  position: fixed;
  bottom: 0;
  left: 50%;
  transform: translate(-50%);
  z-index: 10;
  box-shadow: var(--shadow);
}
.booking-form-wrapper svg {
  transform: rotate(180deg);
  margin-bottom: 1rem;
}
.booking-form-wrapper svg.reverse {
  transform: initial;
}
.booking-form-wrapper svg path {
  stroke: var(--green);
}
.booking-form-wrapper .h5 {
  text-transform: uppercase;
  color: var(--green);
  text-align: center;
  font-family: var(--caps-font);
}
.booking-form-wrapper .booking-form {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
}
.booking-form-wrapper .form-group,
.booking-form-wrapper .booking-form label,
.booking-form-wrapper .booking-form input,
.booking-form-wrapper .booking-form select {
  width: 100%;
}
.booking-form-wrapper .booking-form input:not(.button),
.booking-form-wrapper .booking-form select {
  border: 0;
  border-bottom: 1px solid var(--gray-border);
  margin: 0 0 1rem 0;
  font-size: 1rem;
  background: transparent;
}
.booking-form-wrapper .booking-form label {
  font-size: 0.8rem;
}
.booking-form-wrapper .form-group .form-date-wrapper,
.booking-form-wrapper .form-group .form-nights-wrapper {
  position: relative;
}
.booking-form-wrapper .form-group .form-date-wrapper:after,
.booking-form-wrapper .form-group .form-nights-wrapper:after {
  content: url('../images/arrow-green-medium.png');
  position: absolute;
  right: 0;
  bottom: 0.7rem;
  z-index: -1;
}
.hidden {
  display: none;
}
.booking-form-wrapper input[type="date"]::-webkit-calendar-picker-indicator {
    opacity: 0;
}
.booking-form-wrapper select {
  -webkit-appearance: none;
}

@media screen and (min-width: 680px) {
  .booking-form-wrapper svg {
    display: none;
  }
  .booking-form-wrapper .h5 {
    color: var(--gold);
    align-self: flex-start;
    margin-bottom: 0.5rem;
  }
  .booking-form-wrapper {
    padding: 1rem 5rem;
  }
  .booking-form-wrapper .booking-form {
    flex-direction: row;
    gap: 3rem;
    width: 120%;
  }
  .booking-form-wrapper .booking-form .button {  
    width: unset;
    /* margin-left: 3rem; */
  }
  .booking-form-wrapper .booking-form input:not(.button),
  .booking-form-wrapper .booking-form select {
    margin-bottom: 0;
  }
  .booking-form-wrapper .form-group .form-date-wrapper:after,
  .booking-form-wrapper .form-group .form-nights-wrapper:after {
    bottom: -0.3rem;
  }
}

/* Facilities */
.section-facilities {
  margin: 2rem;
}
.container-hotel-facilities {
  background-color: white;
  padding: 2rem;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.facilities-wrapper {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  width: fit-content;
}
.container-hotel-facilities .h3 {
  text-transform: none;
  text-align: center;
  color: black;
  font-size: 1.5rem;
}
/* .facilities-card:not(:last-child) {
  margin-bottom: 2rem;
} */
.facilities-card {
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
  justify-content: flex-start;
  align-items: center;
}
.facility-icon {
  max-width: 1.7rem;
  /* margin-right: 1rem; */
}

.facility-name {
  /* display: inline; */
  font-size: .83rem;
  margin-bottom: 0;
}

@media screen and (min-width: 770px) {
  .section-facilities {
    margin: 0 2rem;
  }
  .container-hotel-facilities {
    padding: 3rem 2rem 4rem;
  }
  .container-hotel-facilities .h3 {
    margin-bottom: 2.5rem;
  }
  .facilities-wrapper {
    flex-direction: row;
    gap: 1.5rem;
    justify-content: space-between;
  }
  .facilities-card {
    display: flex;
    flex-wrap: wrap;
    gap: 0.5rem;
    justify-content: center;
    align-items: center ;
  }
  /* .facility-icon {
    margin-right: 0;
  } */
  .facility-name {
    margin-bottom: 0;
    text-align: center;
  }
}

/* Special Offer */
.section-hotels-narrow.section-special-offer {
  padding: 0;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}
.container-special-offer {
  position: absolute;
  background-color: white;
  bottom: 2rem;
  margin: 0 2rem;
  max-width: 25rem;
}
.content-special-offer {
  padding: 2rem 3rem;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.content-special-offer .h3 {
  text-align: center;
  font-family: var(--caps-font);
  font-size: 1rem;
  color: black;
}
.content-special-offer .h2 {
  color: black;
  font-size: 1.5rem;
}
.content-special-offer p {
  text-align: center;
}

@media screen and (min-width: 680px) {
  .section-hotels-narrow.section-special-offer {
    padding: 0 3rem;
    margin: 0;
  }
  .container-special-offer {
    bottom: unset;
    top: 50%;
    left: unset;
    transform: translatey(-50%);
    opacity: 90%;
  }
  .content-special-offer {
    padding: 3rem;
  }
}

/* Rooms */
.section-rooms .h2 {
  text-align: center;
  margin: 0 2rem 2rem;
  color: black;
}
.room-cards-wrapper{
  padding: 0 20px;
}
.room-card {
  display: flex;
  flex-wrap: wrap;
  /* flex-direction: column;
  align-items: center; */
  margin-bottom: 3rem;
}
/* .room-img-wrapper{
  width: 65%;
} */
.room-image {
  /* max-height: 250px; */
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.room-info {
  background-color: white;
  padding: 1rem;
  /* margin: -2rem 1rem 0;
  display: flex;
  flex-direction: column;
  max-width: 18rem; */
  /* width: 35%; */
}
.room-info .h5 {
  text-transform: uppercase;
  color: var(--gold);
  margin-bottom: 0.5rem;
  font-family: var(--caps-font);
}
.room-info .h2 {
  text-transform: capitalize;
  margin: 0 0 0.5rem;
  color: black;
  text-align: start;
}
.room-info .guests-icon-wrapper {
  margin-bottom: 1.5rem;
}

.room-slider {
  width: 65%;
}
.room-slider .owl-dots {
  position: absolute;
  position: absolute;
  bottom: 2rem;
  left: 50%;
  transform: translateX(-50%);
}
.room-slider .owl-next{
  height: auto;
  background: #fff !important;
  right: 0;
}
.room-slider .owl-prev{
  height: auto;
  background: #fff !important;
  left: 0;
}
.room-slider img {
  object-fit: cover;
  /* height: 310px; */
}

@media screen and (min-width: 680px) {
  .section-rooms {
    margin-top: 0;
    margin-bottom: 0;
    padding-bottom: 0;
  }
  .section-rooms .h2 {
    margin-bottom: 3rem;
  }
  /* .room-card {
    flex-direction: row;
    align-items: flex-end;
  } */
  .room-cards-wrapper{
    padding: 0;
  }
  .room-card:nth-of-type(odd) {
    flex-direction: row-reverse;
  }
  .room-card:nth-of-type(odd) .room-info {
    /* margin: 0 -3rem 0 0; */
    z-index: 1;
  }
  .room-card:nth-of-type(even) .room-info {
    /* margin: 0 0 0 -3rem; */
    z-index: 1;
  }
  .room-card:last-child {
    margin-bottom: 0;
  }
  /* .room-image {
    max-height: 290px;
  } */

  .room-slider {
    max-height: 290px;
  }
  .room-slider img {
    max-height: 290px;
    height: 290px;
  }

  .room-info .button {
    align-self: flex-start;
  }

  .room-info{
    width: 100%;
  }
  .room-img-wrapper {
    width: 100%;
  }

}
@media screen and (min-width: 1040px) {
  .room-cards-wrapper{
    padding: 0;
  }
  /* .room-image {
    max-height: 710px;
  } */
  .room-slider {
    width: 65% !important;
    max-height: 710px;
  }
  .room-slider img {
    max-height: 710px;
  }

  .room-info{
    width: 35%;
  }
  .room-img-wrapper {
    width: 65%;
  }
}

/* Slider */
.section-slider {
  margin-bottom: 2.5rem;
}
.container-slider {
  margin: 0 1.5rem;
}
.example-slider {
  position: relative;
}
.owl-prev {
  position: absolute;
  height: 2rem;
  width: 2rem;
  font-size: 2rem;
  top: calc(50% - 2rem);
  left: -2rem;
}
.owl-next {
  position: absolute;
  height: 2rem;
  width: 2rem;
  font-size: 2rem;
  top: calc(50% - 2rem);
  right: -2rem;
}
.owl-prev span,
.owl-next span {
  color: (var(--green));
  font-size: 2rem;
}
.owl-dots {
  display: flex;
  justify-content: center;
  margin-top: 1rem;
}
.owl-dot span {
  background-color: var(--dot-green-inactive);
  display: block;
  height: .8rem;
  width: .8rem;
  border-radius: 50px;
}
.owl-dot.active span {
  background-color: var(--dot-green-active);
}
.owl-dot:not(:last-child) {
  margin-right: .5rem;
}

@media screen and (min-width: 680px) {
  .section-slider {
    padding-top: 3rem;
    max-height: 35rem;
    margin: 0 auto;
  }
  .container-slider {
    max-height: 30rem;
    margin: 0 auto;
  }
  .section-slider .owl-carousel {
    max-height: 30rem;
  }
  .section-slider .owl-stage-outer {
    max-height: 30rem;
  }
  .section-slider .owl-item {
    max-height: 30rem;
  }
  .section-slider .owl-carousel img {
    max-height: 30rem;
    object-fit: cover;
  }
}

/* Hotel Description */
.section-description {
  padding: 0 1rem;
}
.description-wrapper {
  background-color: white;
  padding: 2rem;
  display: flex;
  flex-direction: column;
}
.description-wrapper .button {
  align-self: center;
}
.hotel-description h2 {
  color: black;
}


@media screen and (min-width: 680px) {
  .section-description {
    padding: 2rem 0;
    margin-top: 3rem;
  }
  .description-wrapper {
    padding: 3rem;
  }
}

/* Hotel Extras */
.extras-container {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}
.extra-card {
  max-height: 24rem;
  position: relative;
}
.extra-card .background-image {
  max-height: 24rem;
  width: 100%;
}
.extra-card-content {
  position: absolute;
  z-index: 10;
  bottom: 2rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  padding: 20px;
}
.extra-card-content .h3 {
  color: white;
  text-transform: uppercase;
  text-align: center;
  font-family: var(--caps-font);
  font-size: 1.5rem;
}
.extra-card-content .button {
  min-width: 12rem;
}

@media screen and (min-width: 680px) {
  .section-extras {
    margin-bottom: 0;
  }
  .extras-container {
    flex-direction: row;
    justify-content: space-between;
  }
  .extra-card {
    max-height: 18rem;
    max-width: 18rem;
  }
  .extra-card .background-image {
    height: 18rem;
    max-width: 18rem;
  }
  .extra-card-content {
    max-width: 100%;
  }
  .extra-card-content .h3 {
    font-size: 1.3rem;
  }
  .extra-card-content .button {
    min-width: unset;
  }
}
@media screen and (min-width: 1430px) {
  .extra-card {
    max-height: 21rem;
    max-width: 21rem;
    width: 21rem;
  }
  .extra-card .background-image {
    height: 21rem;
    max-width: 21rem;
    width: 21rem;
  }
}

/* Featured Posts */
.featured-posts-container {
  display: flex;
  flex-direction: column;
  gap: 3rem;
}
.post-card {
  display: flex;
  flex-direction: column;
}
.post-card .post-info {
  margin: -3rem 2rem 0;
  background-color: white;
  position: relative;
  z-index: 1;
  padding: 2rem;
  display: flex;
  flex-direction: column;
}
.post-info .h2 {
  color: black;
}
.post-info .h5 {
  color: var(--gold);
  font-family: var(--caps-font);
  font-size: .9rem;
  text-transform: uppercase;
}
.post-card .button {
  align-self: center;
}

@media screen and (min-width: 680px) {
  .section-featured-posts {
    margin-top: 0;
  }
  .post-card {
    flex-direction: row;
  }
  .post-card:nth-child(even) {
    flex-direction: row-reverse;
  }
  .post-card .post-info {
    margin: 0;
  }
  .post-card img {
    height: 100%;
    width: 100%;
    object-fit: cover;
  }
  .post-card .button {
    align-self: flex-start;
  }
}
@media screen and (min-width: 1200px) {
  .post-card {
    max-height: 22rem;
  }
}
@media screen and (min-width: 1430px) {
  .post-card {
    max-height: 20rem;
  }
}

/* Pub Events */
.section-pub-event {
  padding: 4rem 2rem;
  margin-bottom: 0;
}
.pub-events-container {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.pub-events-container .h3 {
  text-align: center;
  display: block;
  text-transform: unset;
  font-size: 1.7rem;
}
.pub-events-container .button {
  margin-top: 2rem;
}
.events-wrapper {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  align-items: center;
}
.event-card {
  text-decoration: none;
  display: flex;
  flex-direction: column;
  max-width: 20rem;
}
.event-card .card-info {
  background-color: var(--gray-bg);
  padding: 1.5rem 1rem;
  flex-grow: 1;
}
.event-card * {
  margin-bottom: 0;
}
.event-card .h5 {
  text-transform: uppercase;
  font-size: .8rem;
  color: black;
  font-family: var(--caps-font);
  margin-bottom: .5rem;
}
.event-card .h2 {
  font-size: 1.5rem;
  line-height: 1.2;
  margin-bottom: .5rem;
}
.event-card p {
  color: var(--gray-text);
}

@media screen and (min-width: 680px) {
  .pub-events-container .button {
    margin-top: 4rem;
  }
  .events-wrapper {
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: stretch;
  }

  .event-card {
    max-width: 45%;;
  }

  .event-card .h5 {
    font-size: .7rem;
  }
  .event-card .h2 {
    font-size: 1.25rem;
  }
  .event-card p {
    font-size: .8rem;
  }
  .events-wrapper .button {
    margin-top: 2rem;
  }
}

@media screen and (min-width: 1000px) {
  .event-card {
    width: 22%;
  }
}

/* Hotel Contact */
.hotel-map {
  position: relative;
  padding-bottom: 100%;
  height: 0;
  overflow: hidden;
  margin-bottom: 6rem;
}
.hotel-map iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100% !important;
  height: 100% !important;
}
.hotel-contact-container {
  display: flex;
  flex-direction: column;
}
.hotel-contact-container .h2 {
  color: white;
  text-align: center;
}

@media screen and (min-width: 680px) {
  .hotel-contact-container .h2 {
    text-align: start;
  }
  .hotel-contact-container .hotel-contact-form {
    align-self: center;
  }
  .hotel-map {
    padding-bottom: 55%;
  }
}
@media screen and (min-width: 980px) {
  .hotel-contact-container {
    flex-direction: row;
    justify-content: flex-start;
    gap: 1rem;
  }
  .hotel-map {
    position: relative;
    padding-bottom: 0;
    height: unset;
    /* overflow: hidden; */
    margin-bottom: 0;
    width: 50%;
  }
  .hotel-map iframe {
    position: unset;
    /* width: unset !important; */
    /* height: unset !important; */
  }
}
